import { useState } from "react";
const useSetState = (initVal) => {
  const [state, setState] = useState(initVal);
  return [state, (obj) => {
    if (obj instanceof Object) {
      setState({
        ...state,
        ...obj
      });
      return;
    }
    setState(obj);
  }];
};
export { useSetState as default, useSetState };
